Bug 771936 - Possible buffer overflow, null-dereference defects (fence-agents)
Summary: Possible buffer overflow, null-dereference defects (fence-agents)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents
Version: 6.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 756315
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-05 13:07 UTC by Marek Grac
Modified: 2012-06-20 14:40 UTC (History)
4 users (show)

Fixed In Version: fence-agents-3.1.5-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 756315
Environment:
Last Closed: 2012-06-20 14:40:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0943 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2012-06-19 21:00:16 UTC

Comment 3 Lon Hohberger 2012-01-23 18:44:09 UTC
Bad behavior:

[lhh@ayanami ~]$ echo power_wait | fence_ipmilan
Segmentation fault (core dumped)

Corrected behavior:

[lhh@ayanami ipmilan]$ echo power_wait | ./fence_ipmilan 
failed: no IP address specified

Very simple test, and the upstream patch fixes the problem.

Comment 6 errata-xmlrpc 2012-06-20 14:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0943.html


Note You need to log in before you can comment on or make changes to this bug.